//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Views/CommonWidgets/GroupBoxCollapser.h
//! @brief     Defines class GroupBoxCollapser
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2021
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEWS_COMMONWIDGETS_GROUPBOXCOLLAPSER_H
#define BORNAGAIN_GUI_VIEWS_COMMONWIDGETS_GROUPBOXCOLLAPSER_H

#include <QObject>

class QToolButton;
class QGroupBox;

class GroupBoxCollapser : public QObject {

public:
    static GroupBoxCollapser* installIntoGroupBox(QGroupBox* groupBox, bool expanded = true);

    void setTitle(const QString& title);

private:
    GroupBoxCollapser(QGroupBox* groupBox);
    void toggle(bool checked);

    QToolButton* m_toggleButton;
    QWidget* m_contentArea;
};


#endif // BORNAGAIN_GUI_VIEWS_COMMONWIDGETS_GROUPBOXCOLLAPSER_H
